Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
MemoryExplorer Class Reference
Inheritance diagram for MemoryExplorer:

## Public Member Functions
| __init__ (self, parent=None, nodePath=None, **kw)
| addButton (self, vertexBytes, totalBytes, funcLClick, funcRClick, item)
| addChildCtrl (self, item, totalBytes)
| addItemCtrls (self, item)
| addLabel (self, label)
| addSelfCtrl (self, item, totalBytes)
| analyze (self)
| buildList (self, parentItem)
| createDefaultCtrls (self)
| createRefreshBT (self)
| createScale (self)
| createScrolledFrame (self)
| getBTWidth (self, vertexBytes, totalBytes)
| getNewButton (self, width, ratio)
| makeList (self)
| onChildButtonLClick (self, item)
| onChildButtonRClick (self, item)
| onScaleUpdate (self, arg)
| onSelfButtonLClick (self, item)
| onSelfButtonRClick (self, item)
| refresh (self)
| resetCtrls (self)
| setTitle (self, parent, bytes)
| updateBTWidth (self)
| updateDefaultBTWidth (self)
Public Member Functions inherited from DirectObject
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)

## Public Attributes
| balloon = Pmw.Balloon(self.interior())
| btWidth = DEFAULT_BT_WIDTH
list | buttons = []
| frame
list | labels = []
| nodePath = nodePath
| refreshBT = Button(self.interior(), text = 'Refresh', command = self.refresh)
| render2dItem = None
| renderItem = None
| rootItem = None
| scaleCtrl

## Additional Inherited Members
Static Public Attributes inherited from DirectObject
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask
Protected Member Functions inherited from DirectObject
| _addTask (self, task)
| _clearTask (self, task)
Protected Attributes inherited from DirectObject
dict | _taskList = {}

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | parent = None,
|  |  | nodePath = None,
|  | ** | kw )

## Member Function Documentation

## ◆ addButton()

addButton | ( |  | self,
|  |  | vertexBytes,
|  |  | totalBytes,
|  |  | funcLClick,
|  |  | funcRClick,
|  |  | item )

## ◆ addChildCtrl()

addChildCtrl | ( |  | self,
|  |  | item,
|  |  | totalBytes )

## ◆ addItemCtrls()

addItemCtrls | ( |  | self,
|  |  | item )

## ◆ addLabel()

addLabel | ( |  | self,
|  |  | label )

## ◆ addSelfCtrl()

addSelfCtrl | ( |  | self,
|  |  | item,
|  |  | totalBytes )

## ◆ analyze()

analyze | ( |  | self | ) |

## ◆ buildList()

buildList | ( |  | self,
|  |  | parentItem )

## ◆ createDefaultCtrls()

createDefaultCtrls | ( |  | self | ) |

## ◆ createRefreshBT()

createRefreshBT | ( |  | self | ) |

## ◆ createScale()

createScale | ( |  | self | ) |

## ◆ createScrolledFrame()

createScrolledFrame | ( |  | self | ) |

## ◆ getBTWidth()

getBTWidth | ( |  | self,
|  |  | vertexBytes,
|  |  | totalBytes )

## ◆ getNewButton()

getNewButton | ( |  | self,
|  |  | width,
|  |  | ratio )

## ◆ makeList()

makeList | ( |  | self | ) |

## ◆ onChildButtonLClick()

onChildButtonLClick | ( |  | self,
|  |  | item )

## ◆ onChildButtonRClick()

onChildButtonRClick | ( |  | self,
|  |  | item )

## ◆ onScaleUpdate()

onScaleUpdate | ( |  | self,
|  |  | arg )

## ◆ onSelfButtonLClick()

onSelfButtonLClick | ( |  | self,
|  |  | item )

## ◆ onSelfButtonRClick()

onSelfButtonRClick | ( |  | self,
|  |  | item )

## ◆ refresh()

refresh | ( |  | self | ) |

## ◆ resetCtrls()

resetCtrls | ( |  | self | ) |

## ◆ setTitle()

setTitle | ( |  | self,
|  |  | parent,
|  |  | bytes )

## ◆ updateBTWidth()

updateBTWidth | ( |  | self | ) |

## ◆ updateDefaultBTWidth()

updateDefaultBTWidth | ( |  | self | ) |

## Member Data Documentation

## ◆ balloon

balloon = Pmw.Balloon(self.interior())

## ◆ btWidth

btWidth = DEFAULT_BT_WIDTH

## ◆ buttons

list buttons = []

## ◆ frame

frame

Initial value:
= Pmw.ScrolledFrame(self.interior(),
labelpos = 'n',
label_text = 'ScrolledFrame',
usehullsize = 1,
hull_width = 200,
hull_height = 220,)

## ◆ labels

list labels = []

## ◆ nodePath

nodePath = nodePath

## ◆ refreshBT

refreshBT = Button(self.interior(), text = 'Refresh', command = self.refresh)

## ◆ render2dItem

render2dItem = None

## ◆ renderItem

renderItem = None

## ◆ rootItem

rootItem = None

## ◆ scaleCtrl

scaleCtrl

Initial value:
= Scale(self.interior(),
label = "Graph Scale",
from_= 0.0,
to = 20.0,
resolution = 0.1,
orient = HORIZONTAL,
command = self.onScaleUpdate)